# PetscMapGetType

Gets the map type name (as a string) from the PetscMap.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapGetType(PetscMap map, PetscMapType *type)

Not collective

### Input Parameter

map -The map

### Output Parameter

type -The map type name

### Keywords

map, get, type, name

### See Also

PetscMapSetType(), PetscMapCreate()

Level:intermediate
Location:src/vec/interface/mapreg.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages